pinned pre:
-----------
```
leapp-0.17.0-2.el7_9.noarch
leapp-upgrade-el7toel8-0.20.0-13.el7_9.noarch
leapp-upgrade-el7toel8-deps-0.20.0-13.el7_9.noarch
leapp-deps-0.17.0-2.el7_9.noarch
python2-leapp-0.17.0-2.el7_9.noarch
```

pinned post:
------------
```
leapp-0.17.0-2.el7_9.noarch
leapp-upgrade-el7toel8-0.20.0-13.el7_9.noarch
leapp-repository-deps-el8-5.0.8-100.202401121819Z.0e51aebb.master.el8.noarch
leapp-deps-el8-5.0.8-100.202401121819Z.0e51aebb.master.el8.noarch
python2-leapp-0.17.0-2.el7_9.noarch
```


notes:
------
```
leapp-repository-deps-el8 is a new pkg
  - replaces leapp-upgrade-el7toel8-deps?
leapp-deps-0.17.0-2.el7_9
  - upgrades to leapp-deps-el8-5.0.8-100

leapp-0.17.0-2.el7_9 and python2-leapp-0.17.0-2.el7_8
  - versionlock potentially locked these successfully
```

re-run ipu without version lock and re-check versions to verify valididity
of test results


re-run ipu, no pins:
--------------------
```
leapp-0.17.0-2.el7_9.noarch
leapp-upgrade-el7toel8-0.20.0-13.el7_9.noarch
leapp-repository-deps-el8-5.0.8-100.202401121819Z.0e51aebb.master.el8.noarch
leapp-deps-el8-5.0.8-100.202401121819Z.0e51aebb.master.el8.noarch
python2-leapp-0.17.0-2.el7_9.noarch
```

```ini
[root@ipu-test-1 ~]# cat /etc/yum.conf
[main]
cachedir=/var/cache/yum/$basearch/$releasever
keepcache=0
debuglevel=2
logfile=/var/log/yum.log
exactarch=1
obsoletes=1
gpgcheck=1
plugins=1
installonly_limit=3
exclude=leapp* python2-leapp
```

re-run ipu, yum.conf excludes:
------------------------------
```
leapp-0.17.0-2.el7_9.noarch
leapp-upgrade-el7toel8-0.20.0-13.el7_9.noarch
leapp-repository-deps-el8-5.0.8-100.202401121819Z.0e51aebb.master.el8.noarch
leapp-deps-el8-5.0.8-100.202401121819Z.0e51aebb.master.el8.noarch
python2-leapp-0.17.0-2.el7_9.noarch
```


with locks in place (`leapp upgrade --target 8.10`):
----------------------------------------------------
```
 leapp-deps-el8                                   noarch  5.0.8-100.202401121819Z.0e51aebb.master.el8    @commandline                      6.7 k
     replacing  leapp-deps.noarch 0.17.0-2.el7_9
 leapp-repository-deps-el8                        noarch  5.0.8-100.202401121819Z.0e51aebb.master.el8    @commandline                      6.8 k
     replacing  leapp-upgrade-el7toel8-deps.noarch 0.20.0-13.el7_9
```


wf pkgs:
--------
```
leapp-0.16.0-1.el7_9
leapp-deps-0.16.0.1.el7_9
leapp-upgrade-el7toel8-0.19.0-1.el7_9
leapp-upgrade-el7toel8-deps-0.19.0-1.el7_9
python2-leapp-0.16.0-1.el7_9
```

Goal:
-----
To prevent the Leapp packages from being upgraded to the latest release present
during patching so that the Leapp package dependencies remain consistant
from pre-checks to actual in place upgrade execution

Observations:
-------------
Use either yum-plugin-versionlock or yum.conf to lock

```
# cat /etc/yum/pluginconf.d/versionlock.list

# Added locks on Tue Jan 28 15:57:08 2025
0:leapp-0.17.0-2.el7_9.*

# Added locks on Tue Jan 28 15:57:24 2025
0:leapp-upgrade-el7toel8-0.20.0-13.el7_9.*

# Added locks on Tue Jan 28 15:57:41 2025
0:leapp-upgrade-el7toel8-deps-0.20.0-13.el7_9.*

# Added locks on Tue Jan 28 15:57:58 2025
0:leapp-deps-0.17.0-2.el7_9.*

# Added locks on Tue Jan 28 15:58:15 2025
0:python2-leapp-0.17.0-2.el7_9.*
```
